manifestVersion: 1.1
id: stalwart
name: Stalwart
tagline: Универсальный сервер для почты и совместной работы
category: files
version: "v0.15.5"
port: 8745
description: >-
  📧 Stalwart — это быстрый, безопасный и масштабируемый сервер с открытым исходным кодом для электронной почты, календарей, контактов и обмена файлами, встроенный в Rust для обеспечения высочайшего уровня производительности и безопасности.
  
  
  Универсальная коммуникационная платформа
    - Полная поддержка протоколов электронной почты: JMAP, IMAP4, POP3 и SMTP с расширенными возможностями аутентификации, безопасности и фильтрации.
    - Инструменты для совместной работы: календари CalDAV, контакты CardDAV, хранилище файлов WebDAV и обмен ими.
    - Защита от спама и фишинга: фильтрация на основе ИИ, черные списки DNS, серые списки, отслеживание репутации отправителей и многое другое.
  
  
  Мощные функции для любого масштаба
    - Гибкие серверные хранилища: PostgreSQL, MySQL, SQLite, S3, Redis, ElasticSearch и другие.
    - Встроенное шифрование, 2FA и автоматические сертификаты TLS.
    - Отказоустойчивая, готовая к кластеризации конструкция с поддержкой Kubernetes и Docker.
    - Богатая панель администратора, мониторинг в реальном времени и инструменты самообслуживания пользователей.
  
  
  Независимо от того, используете ли вы небольшой частный сервер или крупное предприятие, Stalwart обеспечивает современную, безопасную и эффективную связь, которой вы можете доверять.
  
  
  Это настроенные сопоставления внешних портов:
    - **10443:443** (HTTPS)
    - **10025:25** (SMTP)
    - **10465:465** (СМТПС)
    - **10587:587** (отправка SMTP)
    - **10143:143** (IMAP)
    - **10993:993** (IMAPS)
    - **14190:4190** (Сито)
    - **10110:110** (POP3)
    - **10995:995** (POP3S)
  
  
  Более подробную информацию о том, как правильно настроить экземпляр, можно найти здесь: https://stalw.art/docs/install/platform/docker/.
developer: Stalwart Labs
website: https://stalw.art/
submitter: al-lac
submission: https://github.com/getumbrel/dfwebos-apps/pull/4112
repo: https://github.com/stalwartlabs/stalwart
support: https://github.com/stalwartlabs/stalwart/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
  - 5.jpg
releaseNotes: >-
  ⚠️ Если вы обновляетесь с версии 0.14.x и ниже, эта версия включает в себя несколько критических изменений. Перед обновлением обязательно сделайте резервную копию: https://github.com/stalwartlabs/stalwart/blob/main/UPGRADING/v0_15.md.
  
  
  Исправления ошибок в этом выпуске:
    - Исправлены проблемы с памятью при обработке циклических структур MIME в IMAP и JMAP.
    - Исправлена индексация трассировки при использовании отдельных магазинов.
    - Улучшена обработка изменений запросов JMAP и вычисление состояния.
    - Исправлен JMAP для включения созданных идентификаторов при наличии свойства.
    - Решен JMAP для учета аргументов запроса в Email/queryChanges.
    - Исправлен возврат идентификатора изменения контейнера и предмета, когда изменений нет.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/stalwartlabs/stalwart/releases.
dependencies: []
path: ""
deterministicPassword: true
defaultUsername: admin
